Index: dict.c
===================================================================
--- dict.c	(revision 1cf3f8d3cf08ed3fb38d1c83459a1db140cb0d17)
+++ dict.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
@@ -179,5 +179,5 @@
   owl_dict_free_all(&d, NULL);
 
-  //  if (numfailed) printf("*** WARNING: failures encountered with owl_dict\n");
+  /*  if (numfailed) printf("*** WARNING: failures encountered with owl_dict\n"); */
   printf("# END testing owl_dict (%d failures)\n", numfailed);
   return(numfailed);
Index: editwin.c
===================================================================
--- editwin.c	(revision cc6f009750d9fa16a07d5f504a57c299f6a1d646)
+++ editwin.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
@@ -36,7 +36,7 @@
   e->echochar='\0';
 
+  /* We get initialized multiple times, but we need to hold on to
+     the callbacks, so we can't NULL them here. */
   /*
-    // We get initialized multiple times, but we need to hold on to
-    // the callbacks, so we can't NULL them here.
     e->command = NULL;
     e->callback = NULL;
@@ -116,5 +116,5 @@
     owl_function_error("Internal error: No editwin callback!");
   } else {
-    // owl_function_error("text: |%s|", owl_editwin_get_text(e));
+    /* owl_function_error("text: |%s|", owl_editwin_get_text(e)); */
     cb(e);
   }
Index: filter.c
===================================================================
--- filter.c	(revision ad15610ead2550219224b67ce4c2d7da2819e4df)
+++ filter.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
@@ -341,5 +341,5 @@
   TEST_FILTER("type ^zephyr$ and direction ^in$ and ( class ^owl$ or instance ^owl$ )", 1);
 
-  // Order of operations and precedence
+  /* Order of operations and precedence */
   TEST_FILTER("not true or false", 0);
   TEST_FILTER("true or true and false", 0);
@@ -352,8 +352,8 @@
   TEST_FILTER("filter f1", 1);
 
-  // Test recursion prevention
+  /* Test recursion prevention */
   FAIL_UNLESS("self reference", owl_filter_init_fromstring(&f2, "test", "filter test"));
 
-  // mutual recursion
+  /* mutual recursion */
   owl_filter_init_fromstring(&f3, "f3", "filter f4");
   owl_global_add_filter(&g, &f3);
Index: filterelement.c
===================================================================
--- filterelement.c	(revision 5616accdc04417f0e3817c4c33a2c5f3347d3cfc)
+++ filterelement.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
@@ -124,5 +124,5 @@
 }
 
-// Print methods
+/* Print methods */
 
 static void owl_filterelement_print_true(owl_filterelement *fe, char *buf)
@@ -182,5 +182,5 @@
 }
 
-// Constructors
+/* Constructors */
 
 void owl_filterelement_create(owl_filterelement *fe) {
Index: fmtext.c
===================================================================
--- fmtext.c	(revision 1b737a190fa83294c8e55b7d750a1675bcfdece1)
+++ fmtext.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
@@ -689,9 +689,9 @@
 void owl_fmtext_init_colorpair_mgr(owl_colorpair_mgr *cpmgr)
 {
-  // This could be a bitarray if we wanted to save memory.
+  /* This could be a bitarray if we wanted to save memory. */
   short i, j;
   cpmgr->next = 8;
   
-  // The test is <= because we allocate COLORS+1 entries.
+  /* The test is <= because we allocate COLORS+1 entries. */
   cpmgr->pairs = owl_malloc((COLORS+1) * sizeof(short*));
   for(i = 0; i <= COLORS; i++) {
@@ -719,5 +719,5 @@
     cpmgr->next = 8;
     
-    // The test is <= because we allocated COLORS+1 entries.
+    /* The test is <= because we allocated COLORS+1 entries. */
     for(i = 0; i <= COLORS; i++) {
       for(j = 0; j <= COLORS; j++) {
@@ -753,13 +753,12 @@
 #endif
 
-  // looking for a pair we already set up for this draw.
+  /* looking for a pair we already set up for this draw. */
   cpmgr = owl_global_get_colorpair_mgr(&g);
   pair = cpmgr->pairs[fg+1][bg+1];
   if (!(pair != -1 && pair < cpmgr->next)) {
-/*    owl_global_set_needrefresh(&g);*/
-    // If we didn't find a pair, search for a free one to assign.
+    /* If we didn't find a pair, search for a free one to assign. */
     pair = (cpmgr->next < COLOR_PAIRS) ? cpmgr->next : -1;
     if (pair != -1) {
-      // We found a free pair, initialize it.
+      /* We found a free pair, initialize it. */
       init_pair(pair, fg, bg);
       cpmgr->pairs[fg+1][bg+1] = pair;
@@ -767,10 +766,10 @@
     }
     else if (bg != OWL_COLOR_DEFAULT) {
-      // We still don't have a pair, drop the background color. Too bad.
+      /* We still don't have a pair, drop the background color. Too bad. */
       owl_function_debugmsg("colorpairs: color shortage - dropping background color.");
       pair = owl_fmtext_get_colorpair(fg, OWL_COLOR_DEFAULT);
     }
     else {
-      // We still don't have a pair, defaults all around.
+      /* We still don't have a pair, defaults all around. */
       owl_function_debugmsg("colorpairs: color shortage - dropping foreground and background color.");
       pair = 0;
Index: functions.c
===================================================================
--- functions.c	(revision 36172860060e404e761fc6fd5503c09ef88bd83d)
+++ functions.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
@@ -1372,5 +1372,5 @@
   redrawwin(owl_global_get_curs_recwin(&g));
   redrawwin(owl_global_get_curs_sepwin(&g));
-  // Work around curses segfualts with windows off the screen
+  /* Work around curses segfualts with windows off the screen */
   if (g.lines >= owl_global_get_typwin_lines(&g)+2)
       redrawwin(owl_global_get_curs_typwin(&g));
Index: logging.c
===================================================================
--- logging.c	(revision d0961fe0bc68cec33bc23afbae4928bbd861d718)
+++ logging.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
@@ -139,5 +139,5 @@
   /* Figure out what path to log to */
   if (owl_message_is_type_zephyr(m)) {
-    // If this has CC's, do all but the "recipient" which we'll do below
+    /* If this has CC's, do all but the "recipient" which we'll do below */
     to = owl_message_get_cc_without_recipient(m);
     if (to != NULL) {
@@ -317,6 +317,7 @@
 
   if (personal && owl_message_is_type_zephyr(m)) {
-    // We want to log to all of the CC'd people who were not us, or
-    // the sender, as well.
+    /* We want to log to all of the CC'd people who were not us, or
+     * the sender, as well.
+     */
     char *cc, *temp;
     cc = owl_message_get_cc_without_recipient(m);
Index: obarray.c
===================================================================
--- obarray.c	(revision 535d68bc01fbedad4a7e0bbdbf8a4758fe2ce03f)
+++ obarray.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
@@ -10,7 +10,8 @@
  */
 
-// Helper method: Lookup a key in the obarray. If the key exists,
-// return its index, and the interned value in *val. Otherwise, return
-// the index it should be inserted at.
+/* Helper method: Lookup a key in the obarray. If the key exists,
+ * return its index, and the interned value in *val. Otherwise, return
+ * the index it should be inserted at.
+ */
 int owl_obarray_lookup(owl_obarray *oa, char * key, char ** val) /*noproto*/
 {
@@ -39,5 +40,5 @@
 }
 
-// Returns NULL if the string doesn't exist in the obarray
+/* Returns NULL if the string doesn't exist in the obarray */
 char * owl_obarray_find(owl_obarray *oa, char * string)
 {
@@ -47,5 +48,5 @@
 }
 
-// Inserts the string into the obarray if it doesn't exist
+/* Inserts the string into the obarray if it doesn't exist */
 char * owl_obarray_insert(owl_obarray *oa, char * string)
 {
Index: perlconfig.c
===================================================================
--- perlconfig.c	(revision ff13a6f4c60b5298ed361b690905db36a382fe26)
+++ perlconfig.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
@@ -14,5 +14,5 @@
 extern XS(boot_BarnOwl);
 extern XS(boot_DynaLoader);
-// extern XS(boot_DBI);
+/* extern XS(boot_DBI); */
 
 static void owl_perl_xs_init(pTHX)
Index: util.c
===================================================================
--- util.c	(revision 89f5338caeb1828d0000cccaf478f1808203a6b1)
+++ util.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
@@ -818,5 +818,5 @@
 	      !strcmp("meep foo bar", owl_util_uniq("meep foo", "bar foo meep", "-")));
 
-  // if (numfailed) printf("*** WARNING: failures encountered with owl_util\n");
+  /* if (numfailed) printf("*** WARNING: failures encountered with owl_util\n"); */
   printf("# END testing owl_util (%d failures)\n", numfailed);
   return(numfailed);
Index: variable.c
===================================================================
--- variable.c	(revision d536e724287f27c032c91f6ac576eb3683f3bd08)
+++ variable.c	(revision af1920fd98d8d860245a197dee998e0e5c337285)
@@ -1083,5 +1083,5 @@
   owl_variable_dict_free(&vd);
 
-  // if (numfailed) printf("*** WARNING: failures encountered with owl_variable\n");
+  /* if (numfailed) printf("*** WARNING: failures encountered with owl_variable\n"); */
   printf("# END testing owl_variable (%d failures)\n", numfailed);
   return(numfailed);
